<template>
  <div id="Benefit" class="benefit">
    <div class="benefit__container">
      <el-row justify="center">
        <el-col :md="24" :lg="12">
          <el-row>
            <h1>
              Apa Saja Keuntungannya Menggunakan
              <div class="text-blue-700">Aplikasi Sapawarga?</div>
            </h1>
          </el-row>
          <el-row>
            <el-image class="benefit-img" :src="img" fit="contain" />
          </el-row>
        </el-col>

        <el-col :md="24" :lg="12">
          <el-col v-for="(benefit, index) in benefits" :key="index" :sm="24" :md="11" class="benefit-content">
            <jds-card
              class="bg-white"
            >
              <img width="17" height="14" :src="require('@/assets/landing-page/icon-quotes.svg')" alt="">
              <div class="title">{{ benefit.title }}</div>
              <div class="subtitle">{{ benefit.subtitle }}</div>
            </jds-card>
          </el-col>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
import { benefits } from './benefits.js'
export default {
  name: 'Benefit',
  data() {
    return {
      img: require('@/assets/landing-page/benefit.png'),
      benefits
    }
  }
}
</script>

<style lang="scss" scoped>
.benefit {
  background: transparent;
  &__container {
    padding: 50px 50px 50px 120px;
  }
  .benefit-img {
    width: auto;
    height: 300px;
  }
}

h1 {
  font-family: Lora, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 49px;
  line-height: 79px;
}

.title {
  margin: 10px 0;
  font-family: Roboto, sans-serif;
  font-weight: 500;
  font-size: 21px;
  line-height: 34px;
  word-break: break-word;
}

.subtitle {
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 26px;
  word-break: break-word;
}

.benefit-content {
  margin: 10px;
}

@media screen and (max-width: 600px) {
  .benefit__container {
    padding: 30px 30px;
  }

  h1 {
    height: auto;
    font-size: 24px;
    text-align: center;
    line-height: 34px;
  }

  .title {
    font-size: 18px;
    line-height: 26px;
    margin-bottom: 5px;
  }

  .subtitle {
    font-size: 14px;
    line-height: 26px;
  }

  .jds-card {
    padding: 0 24px;
  }
}
</style>
